Bug 866953 - Weird behaviour when modifying ext4 partition to swap
Weird behaviour when modifying ext4 partition to swap
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-10-16 07:42 EDT by Jan Stodola
Modified: 2014-02-05 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (50.75 KB, image/png)
2012-10-16 07:43 EDT, Jan Stodola
no flags Details
screenshot 2 (60.91 KB, image/png)
2012-10-16 07:44 EDT, Jan Stodola
no flags Details
screenshot 3 (65.66 KB, image/png)
2012-10-16 07:44 EDT, Jan Stodola
no flags Details
screenshot 4 (61.60 KB, image/png)
2012-10-16 07:45 EDT, Jan Stodola
no flags Details
anaconda.log (27.93 KB, text/plain)
2012-10-16 07:45 EDT, Jan Stodola
no flags Details
program.log (17.84 KB, text/plain)
2012-10-16 07:45 EDT, Jan Stodola
no flags Details
storage.log (72.62 KB, text/plain)
2012-10-16 07:46 EDT, Jan Stodola
no flags Details
syslog (60.46 KB, text/plain)
2012-10-16 07:46 EDT, Jan Stodola
no flags Details
swap vs. Swap (100.57 KB, image/png)
2012-10-23 05:35 EDT, Jan Stodola
no flags Details
storage.log (159.12 KB, text/plain)
2012-10-23 05:35 EDT, Jan Stodola
no flags Details
anaconda.log (14.32 KB, text/plain)
2012-10-23 05:35 EDT, Jan Stodola
no flags Details
program.log (32.06 KB, text/plain)
2012-10-23 05:36 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-10-16 07:42:54 EDT
Description of problem:
When trying to modify new ext4 partition to a swap partition, outcome is not in accordance with expected result. See steps to reproduce and attached screenshots.

Version-Release number of selected component (if applicable):
Fedora-18-Beta-TC4
anaconda 18.16

How reproducible:
always

Steps to Reproduce:
1. start graphical installation and proceed to manual partitioning
2. create swap partition (Mount point: swap, Desired Capacity: 200)
3. create /usr (Mount point: /usr, Desired Capacity: 400)
4. change your mind and use following steps to modify /usr to be a swap partition:
5. select /usr partition and modify mount point from "/usr" to "swap" and hit "Apply Changes" button.
6. Notice how anaconda marks this partition (ext4/swap, see screenshot 1)
7. move on, select "Customize...", change "File System" from "ext4" to "swap" and hit "Apply Changes" button.
8. Compare both swap partitions, anaconda should present them identically, but it doesn't happen (notice swap/swap vs. Swap, "Usr" label and missing purpose of swap partition, see screenshots 2 and 3)
9. change your mind again and modify file system back to ext4
10. see that now you have 3 partitions (screenshot 4)
Comment 1 Jan Stodola 2012-10-16 07:43:37 EDT
Created attachment 628113 [details]
screenshot 1
Comment 2 Jan Stodola 2012-10-16 07:44:05 EDT
Created attachment 628114 [details]
screenshot 2
Comment 3 Jan Stodola 2012-10-16 07:44:33 EDT
Created attachment 628121 [details]
screenshot 3
Comment 4 Jan Stodola 2012-10-16 07:45:16 EDT
Created attachment 628126 [details]
screenshot 4
Comment 5 Jan Stodola 2012-10-16 07:45:35 EDT
Created attachment 628127 [details]
anaconda.log
Comment 6 Jan Stodola 2012-10-16 07:45:56 EDT
Created attachment 628128 [details]
program.log
Comment 7 Jan Stodola 2012-10-16 07:46:18 EDT
Created attachment 628129 [details]
storage.log
Comment 8 Jan Stodola 2012-10-16 07:46:35 EDT
Created attachment 628130 [details]
syslog
Comment 9 David Lehman 2012-10-16 12:47:33 EDT
I'm going to make setting a mountpoint that is not an actual mountpoint an error outside of the "Add mountpoint" dialog. That's what fs type combo is for.
Comment 10 Fedora Update System 2012-10-19 21:31:24 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 11 Fedora Update System 2012-10-19 23:49:56 EDT
Package anaconda-18.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16528/anaconda-18.19-1.fc18
then log in and leave karma (feedback).
Comment 12 Jan Stodola 2012-10-23 05:35:04 EDT
Created attachment 631983 [details]
swap vs. Swap

Retested with anaconda-18.19-1.fc18. Most of reported issues are fixed, but one of them is still present - Swap vs. swap

1. Cretate following mount points:
swap  200 MB
/usr  400 MB
/home 600 MB

2. Change file system on /usr (400 MB) to swap and compare both swaps: modified swap is labelled "swap", the other one is called "Swap". See attached screenshot.

3. Delete /home (600 MB) - now both swaps are labelled "Swap"

Could you also fix this swap/Swap issue?
Comment 13 Jan Stodola 2012-10-23 05:35:36 EDT
Created attachment 631984 [details]
storage.log
Comment 14 Jan Stodola 2012-10-23 05:35:54 EDT
Created attachment 631985 [details]
anaconda.log
Comment 15 Jan Stodola 2012-10-23 05:36:18 EDT
Created attachment 631986 [details]
program.log
Comment 16 Fedora End Of Life 2013-12-21 10:09:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 17:50:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.